> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Pickups

GET https://api.bigcommerce.com/stores/{store_hash}/v3/orders/pickups

Retrieves a list of pickups.

## Examples

You can filter the list to return pickup objects specific to a list of requested pickup or order IDs. 
This is achieved by appending the query string `?order_id:in=100,103,202` or `pickup_id:in=1,4` to the 
resource `/orders/pickups`.

```http
GET /orders/pickups?order_id:in=100,300,500
```
or
```http
GET /orders/pickups?pickup_id:in=7,13,17
```

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/pickup/get-pickup

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `order_id:in` (long, optional) — Comma separated list of order IDs.
- `pickup_id:in` (long, optional) — Comma separated list of pickup IDs.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

The request has been processed and a list of pickups has been returned successfully.

- `data` (list of Pickup, optional)

## Types

### Pickup

- `id` (integer, optional) — The ID of pickup.
- `pickup_method_id` (integer, optional) — ID of pickup method.
- `order_id` (integer, optional) — ID of order.
- `ready_at` (datetime, optional) — Datetime when pickup was ready for collection.
- `created_at` (datetime, optional) — Datetime when pickup was created.
- `updated_at` (datetime, optional) — Datetime when pickup was updated.
- `pickup_items` (list of PickupItem, optional)

### PickupItem

- `id` (integer, optional) — The ID of pickup.
- `order_product_id` (integer, optional) — The ID of the product.
- `quantity` (integer, optional) — The quantity of an item.
- `status` (enum, optional) — The status of the pickup.
  - Allowed values: `AWAITING_COLLECTION`, `COLLECTED`
- `collected_at` (datetime, optional, nullable) — Date and time when the pickup was collected.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "pickup_method_id": 2,
      "order_id": 103,
      "ready_at": "2022-08-15T09:30:44Z",
      "created_at": "2022-08-12T04:15:19.150539Z",
      "updated_at": "2022-08-12T04:15:19.150539Z",
      "pickup_items": [
        {
          "id": 3,
          "order_product_id": 4,
          "quantity": 5,
          "status": "COLLECTED",
          "collected_at": "2022-08-12T04:15:19.150539Z"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```